<template>
  <ObModal
    ref="mapPopup"
    :edit-form="false"
    custom-class="modal-map"
    :is-nested="true"
  >
    <slot />
  </ObModal>
</template>

<script>
import ObModal from "common-components/src/obComponents/obModal";

export default {
  name: 'ModalMap',
  components: {
    ObModal
  },
  data () {
    return {
      visible: false
    }
  },
  methods: {
    open () {
      this.$refs.mapPopup.open()
    },
    close () {
      this.$refs.mapPopup.close()
    }
  }
};
</script>

<style lang="scss">
.map-conteiner {
  width: calc(100vw - 80px);
  height: 600px;
}

.el-dialog.modal-map {
  position: fixed;
  width: 100% !important;
  height: 100%;
  top: 0;
  left: 0;
  padding: 0;
  border-radius: 0;
  box-shadow: none;
  display: flex;
  flex-direction: column;

  .el-dialog__header {
    display: none;
  }

  .el-dialog__body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;

    .modal-body {
      display: flex;
      flex-direction: column;
      flex-grow: 1;

      & > div {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
      }

      .map-container {
        flex-grow: 1;
        position: relative;
      }
    }
  }
}
</style>
